Welcome Inspire Pilots!
Join our free DJI Inspire community today!
Sign up

Will F/C firmware vers. 1.8 work with A/C vers. 1.9.1.30?

Joined
Feb 3, 2018
Messages
42
Reaction score
9
Age
61
So, i am trying to get both my original and recently aquured 2nd R/Cs onto same firmware that is compatable with A/C vers. 1.9.1.30. The one I just got didnt match my existing R/C vers 1.7.60, so my plan was to take them both to 1.6...but i couldnt get there with my newest r/c, and seem to be stuck on not getting any lower than 1.8...and the screen says Im. P3-A...not an Inspire...is that an issue, or will it go away when i finally connect at end? If its not an issue, and will work with my A/C, then i will try to get my original to 1.8 so they are matched.

Anyone help me?
 
Joined
Mar 20, 2017
Messages
24
Reaction score
5
Age
2
It sounds like you have a P3 controller that isn’t compatible with the inspire 1. Im getting ready to downgrade my inspire due to the fact that the video quality sucks after about 1500 feet of distance. Im also going back to 1.9.130
 

New Threads

Forum statistics

Threads
19,134
Messages
188,164
Members
28,205
Latest member
Silverbird